Subject: Ticket Assigned - HH item not delivered 9576545826 FP070122004060
From: Home Box <[email-masked]>
To: [email-masked]
Date: Sat, 23 Jul 2022 15:39:31 +0000

Hi Alhamzi Mohammed,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  HH item not delivered 9576545826 FP070122004060 Sheilah                    Oh jesus           10:55 AM, 05th Jul                   New                   Thank you for contacting HomeBox! In Order for us to help you, please describe your query in detail.           10:55 AM, 05th Jul                   New                   If you are contacting us about an existing order, please share with us your Order number or Invoice number while explaining your query.            10:55 AM, 05th Jul                     Sheilah                    What is wrong with u people           10:56 AM, 05th Jul                   New                   We are experiencing high volume of incoming messages. Please make sure you've described your query in detail. Please be sure to include your Order Number/Invoice number or details of the item you are inquiring about.            10:57 AM, 05th Jul                   New                   If you have any pictures that you would like to share, please do that.            10:57 AM, 05th Jul                   New                   We will respond to your query in just a few minutes. Please accept our apologies for the delay. Thank you for your patience           10:57 AM, 05th Jul                   Waseem                   May I know is that household items delivered on 3rd July as I have checked it is already delivered to you           10:59 AM, 05th Jul                     Sheilah                    I dont have itttt           10:59 AM, 05th Jul                     Sheilah                    What is wrong with uu           10:59 AM, 05th Jul                   Waseem                   I do apologise for any inconvenience caused. I will escalate this issue to our concern team. Could you please share the contact number of the courier team who took the item ad put it in warehouse?           11:06 AM, 05th Jul                     Sheilah                             11:08 AM, 05th Jul                     Sheilah                    I told him that's the wrong adress and he told me he will take back the items to the warehouse           11:08 AM, 05th Jul                     Sheilah                    I called the next day he told me the goods are in the warehouse           11:09 AM, 05th Jul                     Sheilah                    Do u think I can receive my goods and say I don't have th           11:09 AM, 05th Jul                     Sheilah                             11:11 AM, 05th Jul                     Sheilah                    Can u check           11:13 AM, 05th Jul                     Sheilah                    Because I don't have the items           11:13 AM, 05th Jul                     Sheilah                    Ask him where he placed the items al go there and take it           11:18 AM, 05th Jul                     Sheilah                    Now he blocked me           11:18 AM, 05th Jul                     Sheilah                    Just let me knw the location it was delivered I will go take it           11:19 AM, 05th Jul                   Waseem                   I absolutely apologise for this situation. This is not the kind of experience we would like our customers to have when they shop with us. I will escalate the issue to our concern team. Once I get the updates from our team I will inform you via email           11:21 AM, 05th Jul                   Waseem                   Is there anything else I can assist you with today?           11:21 AM, 05th Jul                     Sheilah                    No just let me know the location if it is alkhail gate al go my self before someone steals those items           11:21 AM, 05th Jul                   Waseem                   This is the address where the order was delivered  Sheila Oswah +971588619321 building 17 room 206 [email-masked] United Arab Emirates (AE) AE-DU Al khail gate Dubai           11:31 AM, 05th Jul                   Waseem                   Is there anything else I can assist you with today?           11:31 AM, 05th Jul                   Waseem                   Please feel free to come back and chat with us if you have any queries in the future. My name is Waseem and have a wonderful day!           11:37 AM, 05th Jul                                          View conversation in Freshchat https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/4584859